Loading...
Searching...
No Matches
Opm::NullConvergenceWriter< TypeTag > Class Template Reference

A convergence writer for the Newton method which does nothing. More...

`#include <nullconvergencewriter.hh>`

## Public Member Functions

| NullConvergenceWriter (NewtonMethod &)
void | beginTimeStep ()
| Called by the Newton method before the actual algorithm is started for any given timestep.
void | beginIteration ()
| Called by the Newton method before an iteration of the Newton algorithm is started.
void | writeFields (const SolutionVector &, const GlobalEqVector &)
| Write the Newton update to disk.
void | endIteration ()
| Called by the Newton method after an iteration of the Newton algorithm has been completed.
void | endTimeStep ()
| Called by the Newton method after Newton algorithm has been completed for any given timestep.

## Detailed Description

template<class TypeTag>
class Opm::NullConvergenceWriter< TypeTag >

A convergence writer for the Newton method which does nothing.

## Member Function Documentation

## endTimeStep()

template<class TypeTag>

void Opm::NullConvergenceWriter< TypeTag >::endTimeStep | ( |  | ) |

inline

Called by the Newton method after Newton algorithm has been completed for any given timestep.

This method is called regardless of whether the Newton method converged or not.

## writeFields()

template<class TypeTag>

void Opm::NullConvergenceWriter< TypeTag >::writeFields | ( | const SolutionVector & | ,
|  | const GlobalEqVector & | )

inline

Write the Newton update to disk.

Called after the linear solution is found for an iteration.

Parameters

  uLastIter | The solution vector of the previous iteration.
  deltaU | The negative difference between the solution vectors of the previous and the current iteration.

The documentation for this class was generated from the following file:

- opm/models/nonlinear/nullconvergencewriter.hh